<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Tabelle</title>
</head>

<body>
    <style>
        /* Lo stile lo vedremo meglio quando parleremo di CSS, ma per adesso queste righe servono per mostrare i bordi della tabella e delle singole celle */
        table,
        td {
            border: 1px solid black;
        }
    </style>
    <h1>Tabella semplice</h1>
    <p>Questa tabella non ha header o footer, ma solo dei semplici dati</p>
    <table>
        <!-- NB: molti browser inseriranno le righe in un elemento <tbody> -->
        <tr>
            <td>Tony</td>
            <td>Stark</td>
            <td>Iron man</td>
        </tr>
        <tr>
            <td>Steve</td>
            <td>Rogers</td>
            <td>Captain America</td>
        </tr>
        <tr>
            <td>Natasha</td>
            <td>Romanov</td>
            <td>Black widow</td>
        </tr>
        <tr>
            <td>Bruce</td>
            <td>Banner</td>
            <td>Hulk</td>
        </tr>
    </table>

    <hr>

    <h1>Tabella con header</h1>
    <p>Questa tabella ha un'intestazione dove vengono mostrati i nomi delle colonne</p>
    <table>
        <!-- Intestazione -->
        <thead>
            <tr>
                <th>Nome</th>
                <th>Cognome</th>
                <th>Soprannome</th>
            </tr>
        </thead>
        <tbody>
            <!-- Corpo -->
            <tr>
                <td>Tony</td>
                <td>Stark</td>
                <td>Iron man</td>
            </tr>
            <tr>
                <td>Steve</td>
                <td>Rogers</td>
                <td>Captain America</td>
            </tr>
            <tr>
                <td>Natasha</td>
                <td>Romanov</td>
                <td>Black widow</td>
            </tr>
            <tr>
                <td>Bruce</td>
                <td>Banner</td>
                <td>Hulk</td>
            </tr>
        </tbody>
    </table>

    <hr>

    <h1>Tabella con colspan e rowspan + caption</h1>
    <p>Questa tabella ha un'intestazione dove vengono mostrati i nomi delle colonne ed un titolo che spiega cosa rappresenta la tabella</p>
    <table>
        <caption>Gli avengers divisi per team del film <em>Captain America: civil war</em></caption>
        <!-- Intestazione -->
        <thead>
            <tr>
                <th>Team</th>
                <th>Nome</th>
                <th>Cognome</th>
                <th>Soprannome</th>
            </tr>
        </thead>
        <tbody>
            <!-- Corpo -->
            <!-- TEAM IRONMAN -->
            <tr>
                <td rowspan="6">#TeamIronman</td>
                <td>Tony</td>
                <td>Stark</td>
                <td>Ironman</td>
            </tr>
            <tr>
                <td>Natasha</td>
                <td>Romanov</td>
                <td>Black widow</td>
            </tr>
            <tr>
                <td>James</td>
                <td>Rhodes</td>
                <td>War machine</td>
            </tr>
            <tr>
                <td>T'Challa</td>
                <td>&nbsp;</td>
                <td>Black panther</td>
            </tr>
            <tr>
                <td colspan="2">&nbsp;</td>
                <td>Vision</td>
            </tr>
            <tr>
                <td>Peter</td>
                <td>Parker</td>
                <td>Spider-Man</td>
            </tr>
            <!-- TEAM CAP -->
            <tr>
                <td rowspan="6">#TeamCap</td>
                <td>Steve</td>
                <td>Rogers</td>
                <td>Captain America</td>
            </tr>
            <tr>
                <td>Clinton</td>
                <td>Barton</td>
                <td>Hawkeye</td>
            </tr>
            <tr>
                <td>Samuel</td>
                <td>Wilson</td>
                <td>Falcon</td>
            </tr>
            <tr>
                <td>James</td>
                <td>Barnes</td>
                <td>Winter Soldier</td>
            </tr>
            <tr>
                <td>Wanda</td>
                <td>Maximoff</td>
                <td>Scarlet Witch</td>
            </tr>
            <tr>
                <td>Scott</td>
                <td>Lang</td>
                <td>Ant-Man</td>
            </tr>
        </tbody>
        <tfoot>
            <td colspan="4">Questo è il footer, spesso si usa per visualizzare le somme di qualche colonna</td>
        </tfoot>
    </table>

</body>

</html>